For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API key needed to access this API, in Bearer token format
Path parameters
idstringRequired
Request
createBannerSchema
messagestringRequired
The message to display to all users. Supports markdown.
enabledbooleanOptional
Whether the banner should be displayed currently. If not specified, defaults to true.
variantstringOptional
The variant of the banner. One of "info", "warning", "error", or "success". If not specified, defaults to "info".
stickybooleanOptional
Whether the banner should be sticky on the screen. If not specified, defaults to false.
iconstring or nullOptional
The icon to display on the banner. Can be one of https://fonts.google.com/icons. If not specified, this will be the default icon for the variant. If “none”, no icon will be displayed.
linkstring or nullOptional
The link to display on the banner. Can either be an absolute or a relative link (e.g. absolute: “https://example.com” or relative: “/admin/service-accounts”). If “dialog”, will display a dialog when clicked. If not specified, no link will be displayed.
linkTextstring or nullOptional
The text to display on the link. If not specified, will be displayed as "More info".
dialogTitlestring or nullOptional
The title to display on the dialog. If not specified, this will be the same as linkText.
dialogstring or nullOptional
The markdown to display on the dialog. If not specified, no dialog will be displayed.
Response
bannerSchema
idinteger>=1
The banner's ID. Banner IDs are incrementing integers. In other words, a more recently created banner will always have a higher ID than an older one.
messagestring
The message to display to all users. Supports markdown.
createdAtstringformat: "date-time"
The date and time of when the banner was created.
enabledbooleanOptional
Whether the banner should be displayed currently. If not specified, defaults to true.
variantstringOptional
The variant of the banner. One of "info", "warning", "error", or "success". If not specified, defaults to "info".
stickybooleanOptional
Whether the banner should be sticky on the screen. If not specified, defaults to false.
iconstring or nullOptional
The icon to display on the banner. Can be one of https://fonts.google.com/icons. If not specified, this will be the default icon for the variant. If “none”, no icon will be displayed.
linkstring or nullOptional
The link to display on the banner. Can either be an absolute or a relative link (e.g. absolute: “https://example.com” or relative: “/admin/service-accounts”). If “dialog”, will display a dialog when clicked. If not specified, no link will be displayed.
linkTextstring or nullOptional
The text to display on the link. If not specified, will be displayed as "More info".
dialogTitlestring or nullOptional
The title to display on the dialog. If not specified, this will be the same as linkText.
dialogstring or nullOptional
The markdown to display on the dialog. If not specified, no dialog will be displayed.